StatusSeriesSelector (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.report.processor.graph, class: StatusSeriesSelector

Package org.apache.jmeter.report.processor.graph

# Class StatusSeriesSelector

java.lang.Object
org.apache.jmeter.report.processor.graph.AbstractSeriesSelector
org.apache.jmeter.report.processor.graph.StatusSeriesSelector

All Implemented Interfaces:
  `SampleSelector<Iterable<String>>`, `GraphSeriesSelector`

public class StatusSeriesSelector extends AbstractSeriesSelector
The class StatusSeriesSelector provides a projection from a sample to a string that defines its status (success or failure).

Since:
  3.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StatusSeriesSelector()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final String`
  `getFailureLabel()`
  Gets the failure label.
  `final String`
  `getSuccessLabel()`
  Gets the success label.
  `Iterable<String>`
  `select(Sample sample)`
  Do the projection from the specified sample
  `final void`
  `setFailureLabel(String failureLabel)`
  Sets the failure label.
  `final void`
  `setSuccessLabel(String successLabel)`
  Sets the success label.

  ### Methods inherited from class org.apache.jmeter.report.processor.graph.AbstractSeriesSelector

  `allowsControllersDiscrimination, withDefaultIfEmpty`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StatusSeriesSelector

    public StatusSeriesSelector()

- ## Method Details

  - ### getFailureLabel

    public final String getFailureLabel()
    Gets the failure label.
    Returns:
      the failureLabel

  - ### setFailureLabel

    public final void setFailureLabel(String failureLabel)
    Sets the failure label.
    Parameters:
      `failureLabel` - the failureLabel to set

  - ### getSuccessLabel

    public final String getSuccessLabel()
    Gets the success label.
    Returns:
      the successLabel

  - ### setSuccessLabel

    public final void setSuccessLabel(String successLabel)
    Sets the success label.
    Parameters:
      `successLabel` - the successLabel to set

  - ### select

    public Iterable<String> select(Sample sample)
    Description copied from interface: `SampleSelector`
    Do the projection from the specified sample
    Parameters:
      `sample` - the sample
    Returns:
      the projection result